Loading...
Searching...
No Matches
VPB_CID Struct Reference
Public API functions » Port initialisation » Card information » Port control » Event handling » Audio play and record » Error handling » Programmable tone generator » Programmable tone detector » Wav audio support » Caller id

Container type for caller id data. More...

`#include <vpbapi.h>`

Collaboration diagram for VPB_CID:

## Public Member Functions

| VPB_CID ()
| Default constructor.
void | clear ()
| Clear all data members their initialisation state.

## Public Attributes

CidCallType | call_type
| Call type designator.
char | cldn [19]
| Calling line directory number.
char | ra_cldn [2]
| Reason for absence of `cldn`, `O` or `P`.
char | cn [21]
| Caller name.
char | ra_cn [2]
| Reason for absence of `cn`, `O` or `P`.
char | cdn [19]
| Called directory number.
char | date_time [9]
| Time of call.
int | nmss
| Network message system status, (0-255 calls waiting).
char | pres [256]
| Storage for presentation layer data.

## Detailed Description

Container type for caller id data.